This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### dot()
Examples |
    PVector  v = new PVector(10, 20, 0);
    float d = v.dot(60, 80, 0);
    println(d);  // Prints "2200.0"
    PVector  v1 = new PVector(10, 20, 0);
    PVector  v2 = new PVector(60, 80, 0);
    float d = v1.dot(v2);
    println(d);  // Prints "2200.0"
Description | Calculates the dot product of two vectors.
Syntax |
    .dot(v)
    .dot(x, y, z)
    .dot(v1, v2)
Parameters |
v | PVector: any variable of type PVector
x | float: x component of the vector
y | float: y component of the vector
z | float: z component of the vector
v1 | PVector: any variable of type PVector
v2 | PVector: any variable of type PVector
Returns | float

Updated on October 26, 2013 08:58:33pm PDT